# Class TCefCustomResourceBundleHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFResourceBundleHandler

## Declaration

`type TCefCustomResourceBundleHandler = class(TCefResourceBundleHandlerOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefResourceBundleHandlerOwn
- TCefCustomResourceBundleHandler

## Overview

### Fields

| `FCefApp: TCefApplicationCore;`

### Methods

| `function GetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; override;`
| `function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; override;`
| `function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; override;`
| `procedure RemoveReferences; override;`
| `constructor Create(const aCefApp : TCefApplicationCore); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FCefApp: TCefApplicationCore;`
This item has no description.

### Methods

| `function GetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; override;`
This item has no description. Showing description inherited from ICefResourceBundleHandler.GetLocalizedString. Called to retrieve a localized translation for the specified |string_id|. To provide the translation set |string| to the translation string and return true (1). To use the default translation return false (0). Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

| `function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; override;`
This item has no description. Showing description inherited from ICefResourceBundleHandler.GetDataResource. Called to retrieve data for the specified scale independent |resource_id|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

| `function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; override;`
This item has no description. Showing description inherited from ICefResourceBundleHandler.GetDataResourceForScale. Called to retrieve data for the specified |resource_id| nearest the scale factor |scale_factor|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

| `procedure RemoveReferences; override;`
This item has no description. Showing description inherited from ICefResourceBundleHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create(const aCefApp : TCefApplicationCore); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.